declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    icons: {
        type: ArrayConstructor;
        default: () => string[];
    };
    isSettingsActive: {
        type: BooleanConstructor;
        default: boolean;
    };
}>, {}, {}, {
    isImport(): boolean;
    isExport(): boolean;
    isFilterReset(): boolean;
    isColumnSelect(): boolean;
    isRefresh(): boolean;
    isSettings(): boolean;
}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    icons: {
        type: ArrayConstructor;
        default: () => string[];
    };
    isSettingsActive: {
        type: BooleanConstructor;
        default: boolean;
    };
}>> & Readonly<{}>, {
    icons: unknown[];
    isSettingsActive: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
